<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: m17n-gui.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>m17n-gui.h</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>データ構造</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html">MFaceHLineProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの水平線指定用型宣言.  <a href="structMFaceHLineProp.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html">MFaceBoxProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの囲み枠指定用型宣言.  <a href="structMFaceBoxProp.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawControl.html">MDrawControl</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキスト表示制御の型宣言.  <a href="structMDrawControl.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawMetric.html">MDrawMetric</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフとテキストの寸法の型宣言.  <a href="structMDrawMetric.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyphInfo.html">MDrawGlyphInfo</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフに関する情報の型宣言.  <a href="structMDrawGlyphInfo.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawGlyph.html">MDrawGlyph</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフの寸法とフォントに関する情報の型宣言.  <a href="structMDrawGlyph.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMDrawTextItem.html">MDrawTextItem</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">textitem の型宣言.  <a href="structMDrawTextItem.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html">MInputGUIArgIC</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> の引数の型宣言.  <a href="structMInputGUIArgIC.html#_details">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フレームの型宣言.  <a href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントの型宣言.  <a href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの型宣言.  <a href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> )(<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, void *arg, void *info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数の型宣言.  <a href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ウィンドウシステムに依存する、ウィンドウの型宣言.  <a href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga9818c0695d9162a9637fa4e98a1d477d">MDrawRegion</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ウィンドウシステムに依存する、領域の型宣言.  <a href="group__m17nDraw.html#ga9818c0695d9162a9637fa4e98a1d477d"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674">mframe</a> (<a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフレームを作る.  <a href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66">mframe_get_prop</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フレームのプロパティの値を返す.  <a href="group__m17nFrame.html#ga97caf002f294cc386b88a2155ac21e66"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7">mfont</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフォントを作る.  <a href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9c27528cb4a68b6c7f845ef2b98b0f3c">mfont_copy</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのコピーを作る.  <a href="group__m17nFont.html#ga9c27528cb4a68b6c7f845ef2b98b0f3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6">mfont_parse_name</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント名からフォントを作る.  <a href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2">mfont_unparse_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフォント名を作る.  <a href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaa042ce71ba7811ef9374fd2a58e23e7f">mfont_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント名からフォントを作る.  <a href="group__m17nFont.html#gaa042ce71ba7811ef9374fd2a58e23e7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e">mfont_from_name</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフォント名を作る.  <a href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911">mfont_get_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのプロパティの値を得る.  <a href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237">mfont_put_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのプロパティに値を設定する.  <a href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82">mfont_set_encoding</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> encoding_name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> repertory_name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのエンコーディングを設定する.  <a href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2">mfont_find</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, int *score, int limited_size)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントを探す.  <a href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88">mfont_selection_priority</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント選択の優先度を返す.  <a href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229">mfont_set_selection_priority</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント選択優先度を設定する.  <a href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga50dc0617125f859540f03f1efd8aaa14">mfont_resize_ratio</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのリサイズ情報を得る  <a href="group__m17nFont.html#ga50dc0617125f859540f03f1efd8aaa14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0">mfont_list</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int maxnum)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのリストを得る  <a href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga7de45bffe64304ddddfe29f6c1a209f6">mfont_list_family_names</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gac579c026f0165e5b9b9a255995162f35">mfont_check</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33a65ab6f61909ba85dd93ee43835f0a">mfont_match_p</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga209b13afe6907de28d1fad619ad354d7">mfont_open</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga35748de25dce8fe94e765d913d7f674a">mfont_encapsulate</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> data_type, void *data)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga52df122a9924755823427845652d1306">mfont_close</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2">mfontset</a> (char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを返す.  <a href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619">mfontset_name</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットの名前を返す.  <a href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3">mfontset_copy</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットのコピーを作る.  <a href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2">mfontset_modify_entry</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> layouter_name, int how)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットの内容を変更する.  <a href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69">mfontset_lookup</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを検索する.  <a href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e">mface</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフェースをつくる.  <a href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2">mface_equal</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face1, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a">mface_copy</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのコピーを作る.  <a href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98">mface_merge</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *dst, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *src)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを統合する.  <a href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3">mface_from_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフェースを作る.  <a href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972">mface_get_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのプロパティの値を得る.  <a href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34">mface_put_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースプロパティの値を設定する.  <a href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056">mface_get_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数を得る.  <a href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da">mface_put_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数を設定する.  <a href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3">mface_update</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを更新する.  <a href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08">mdraw_text</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ウィンドウに M-text を描画する.  <a href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6">mdraw_image_text</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ディスプレイにM-text を画像として描く.  <a href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a">mdraw_text_with_control</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ディスプレイにM-text を詳細な制御つきで描く.  <a href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00">mdraw_coordinates_position</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, int x, int y, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定した座標に最も近い文字の文字位置を得る.  <a href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604">mdraw_text_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_ink_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_logical_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_line_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">テキストの幅（ピクセル単位）を計算する.  <a href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f">mdraw_text_per_char_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *ink_array_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *logical_array_return, int array_size, int *num_chars_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_ink_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_logical_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の各文字の表示範囲を計算する.  <a href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16">mdraw_glyph_info</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int pos, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawGlyphInfo.html">MDrawGlyphInfo</a> *info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフに関する情報を計算する.  <a href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc">mdraw_glyph_list</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, <a class="el" href="structMDrawControl.html">MDrawControl</a> *control, <a class="el" href="structMDrawGlyph.html">MDrawGlyph</a> *glyphs, int array_size, int *num_glyphs_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">グリフ列に関する情報を計算する.  <a href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6">mdraw_text_items</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> win, int x, int y, <a class="el" href="structMDrawTextItem.html">MDrawTextItem</a> *items, int nitems)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">textitem を表示する.  <a href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea">mdraw_per_char_extents</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *array_return, <a class="el" href="structMDrawMetric.html">MDrawMetric</a> *overall_return)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">M-text の文字毎の表示範囲情報を得る.  <a href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5">mdraw_default_line_break</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int from, int to, int line, int y)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">改行位置を計算する.  <a href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098">mdraw_clear_cache</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">キャッシュ情報を消す.  <a href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad">minput_event_to_key</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, void *event)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">イベントを入力キーに変換する.  <a href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615">mdebug_dump_face</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースをダンプする.  <a href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2">mdebug_dump_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントをダンプする.  <a href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648">mdebug_dump_fontset</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットをダンプする.  <a href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">Mdevice</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga5d99e7994a0d1b4e24e4febe80403f99">Mfont</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gaaccde9d071c4889c5a73b36fce45e285">Mfont_width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac51e83ad0a410d95fb34f2dae9a0f702">Mfont_ascent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gafc7b7df9268d89c57cdd075a3aeb2cd3">Mfont_descent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3">mframe_default</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">デフォルトのフレーム.  <a href="group__m17nFrame.html#ga4a417bb182e3e1a42095185e52c012f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">Mdisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga28e8c59b7f5ada96e55ccdd4b117572c">Mscreen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">Mdrawable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#gadfd980d879793a59c497bfd08b9d946e">Mwidget</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">Mdepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">Mcolormap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded">Mx</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"x" という名前を持つシンボル.  <a href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">Mfreetype</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"freetype" という名前を持つシンボル.  <a href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a">Mxft</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"xft" という名前を持つシンボル.  <a href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">mfont_freetype_path</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントファイルとフォントファイルを含むディレクトリのリスト.  <a href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">Mfoundry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">開発元を指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">Mfamily</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ファミリを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308">Mweight</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">太さを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">Mstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スタイルを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">Mstretch</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">幅を指定するフォントプロパティのキー.  <a href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9">Madstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">adstyle を指定するフォントプロパティのキー.  <a href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">Mspacing</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">spacing を指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76">Mregistry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">レジストリを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">Msize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">サイズを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06">Mresolution</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">解像度を指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga99d4189483ab20c0c91de2693c62f073">Mmax_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga8a615da3d1be5e23ca2d4cc02496dc97">Motf</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">Mfontfile</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントファイルを指定するフォントプロパティのキー.  <a href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">Mfontconfig</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"fontconfig" という名前を持つシンボル.  <a href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">前景色を指定するフェースプロパティーのキー.  <a href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">背景色を指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ビデオモードを指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">水平線を指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">囲み枠を指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのサイズの比率を指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フックを指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フックの引数を指定するためのフェースプロパティーのキー.  <a href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準ビデオフェース.  <a href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">リバースビデオフェース.  <a href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">下線フェース.  <a href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ミディアムフェース.  <a href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ボールドフェース.  <a href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">イタリックフェース.  <a href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ボールドイタリックフェース.  <a href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">最小のフェース.  <a href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">より小さいフェース.  <a href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">小さいフェース.  <a href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準の大きさのフェース.  <a href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">大きいフェース.  <a href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">もっと大きいフェース.  <a href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">最大のフェース.  <a href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">黒フェース.  <a href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">白フェース.  <a href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">赤フェース.  <a href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">緑フェース.  <a href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">青フェース.  <a href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シアンフェース.  <a href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">黄フェース.  <a href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">マゼンタフェース.  <a href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを指定するテキストプロパティのキー.  <a href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDraw.html#gaae4c0c421e284fc8084998d20e4a40c5">mdraw_line_break_option</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100">minput_gui_driver</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ウィンドウシステムの内部入力メソッド用入力ドライバ.  <a href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100"></a><br/></td></tr>
</table>
<hr/><h2>型定義</h2>
<a class="anchor" id="a4c949033ca30d88fb8775caeb4134a1b"></a><!-- doxytag: member="m17n&#45;gui.h::MFontset" ref="a4c949033ca30d88fb8775caeb4134a1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
